﻿<UserControl xmlns="https://github.com/avaloniaui"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
						 xmlns:vm="clr-namespace:PracticaDiagnostico.ViewModels;assembly=PracticaDiagnostico"
             x:Class="PracticaDiagnostico.Views.PageNumerosParesView">

	<Grid Margin="20" ColumnDefinitions=".2*, .2*, .2*, .2*, .2*" RowDefinitions=".15*, .15*, .15*, .15*, .15*, .15*">
		<TextBlock Grid.Column="0" Grid.ColumnSpan="5" Grid.Row="0" FontSize="20">
			Dado el vector {45, 23, 52, 68, 2, 98, 106, 107, 465, 23, 18} decir cuántos y cuáles son números pares.
		</TextBlock>
		
		<Button Margin="10" Grid.Column="0" Grid.Row="1" Content="Cargar Valores Default" Command="{Binding OnLoadDefaultItemsClick}"/>

		<Button Margin="10" Grid.Column="0" Grid.Row="2" Content="Limpiar Lista" Command="{Binding OnClearItemsClick}"/>

		<Button Margin="10" Grid.Column="0" Grid.Row="3" Content="Agregar Numero" IsEnabled="{Binding InputEnabled}" Command="{Binding OnAddItemClick}"/>

		<TextBox Margin="10" Grid.Column="0" Grid.Row="4"  FontSize="14" Watermark="Ingresar Número" Text="{Binding InputNumber, Mode=TwoWay}" />

		<Button Margin="10" Grid.Column="0" Grid.Row="5" Content="Calcular" Command="{Binding OnCalculateClick}"/>
		
		<ListBox Margin="10" Grid.Column="1" Grid.Row="1" Grid.RowSpan="5" Items="{Binding ListBoxItems}"/>

		<StackPanel Margin="10"  Grid.Column="2" Grid.Row="1" Grid.RowSpan="5" IsVisible="{Binding ShowResult}">
			<TextBlock FontSize="14">Resultados:</TextBlock>
			<ListBox Margin="10" Grid.Column="1" Grid.Row="1" Grid.RowSpan="5" Items="{Binding EvenNumber}"/>
			<StackPanel Orientation="Horizontal">
				<TextBlock FontSize="20">Cantidad de Pares: </TextBlock>
				<TextBlock FontSize="20" Text="{Binding EvenNumber.Count}" />
			</StackPanel>
			
		</StackPanel>
	</Grid>
</UserControl>
